# Uses of Class
org.opensaml.saml.metadata.resolver.index.impl.MetadataIndexManager

Packages that use MetadataIndexManager
Package
Description
org.opensaml.saml.metadata.resolver.impl
Classes for retrieving, filtering, and querying metadata.
org.opensaml.saml.metadata.resolver.index.impl
Implementation of the metadata resolver indexes.

## Uses of MetadataIndexManager in org.opensaml.saml.metadata.resolver.impl

Fields in org.opensaml.saml.metadata.resolver.impl declared as MetadataIndexManager
Modifier and Type
Field
Description
`private final MetadataIndexManager<EntityDescriptor>`
AbstractBatchMetadataResolver.BatchEntityBackingStore.`secondaryIndexManager`
Manager for secondary indexes.
Methods in org.opensaml.saml.metadata.resolver.impl that return MetadataIndexManager
Modifier and Type
Method
Description
`MetadataIndexManager<EntityDescriptor>`
AbstractBatchMetadataResolver.BatchEntityBackingStore.`getSecondaryIndexManager()`
Get the secondary index manager.

## Uses of MetadataIndexManager in org.opensaml.saml.metadata.resolver.index.impl

Subclasses of MetadataIndexManager in org.opensaml.saml.metadata.resolver.index.impl
Modifier and Type
Class
Description
`class`
`LockableMetadataIndexManager<T>`
A specialization of `MetadataIndexManager` capable of read/write locking.